Package tigase.component.responses

# Class ResponseManager

java.lang.Object
tigase.component.responses.ResponseManager

@Bean(name="responseManager", active=true) public class ResponseManager extends Object

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `protected static final class`
  `ResponseManager.Entry`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final long`
  `DEFAULT_TIMEOUT`
  `protected final Logger`
  `log`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResponseManager()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `checkTimeouts()`
  `protected Map<String,ResponseManager.Entry>`
  `getHandlers()`
  `Runnable`
  `getResponseHandler(Packet element)`
  Returns handler for response of sent `<iq/>` stanza.
  `String`
  `registerResponseHandler(Packet stanza, Long timeout, AsyncCallback callback)`
  Register callback for response of sent `<iq/>` stanza.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DEFAULT_TIMEOUT

    public static final long DEFAULT_TIMEOUT
    See Also:
      - Constant Field Values

  - ### log

    protected final Logger log

- ## Constructor Details

  - ### ResponseManager

    public ResponseManager()

- ## Method Details

  - ### checkTimeouts

    public void checkTimeouts()

  - ### getResponseHandler

    public Runnable getResponseHandler(Packet element)
    Returns handler for response of sent `<iq/>` stanza.
    Parameters:
      `element` - response `<iq/>` stanza.
    Returns:
      Runnable object with handler

  - ### registerResponseHandler

    public String registerResponseHandler(Packet stanza, Long timeout, AsyncCallback callback)
    Register callback for response of sent `<iq/>` stanza.
    Parameters:
      `stanza` - sent `<iq/>` stanza.
      `timeout` - timeout. After it method onTimeout() will be called.
      `callback` - callback
    Returns:
      id of stanza

  - ### getHandlers

    protected Map<String,ResponseManager.Entry> getHandlers()